/************/
/* a2g.rexx */
/************/

/*******************************************************************/
/*                                                                 */
/* Author: T. B. Kreuzer                                           */
/*                                                                 */
/* Version: 1.1                                                    */
/*                                                                 */
/* Description: This ARexx script will save the current Term       */
/*              buffer (should contain Aminet RECENT or INDEX      */
/*              listing) to "RAM:Aminet", convert it to an         */
/*              AmigaGuide file, and execute AmigaGuide so that    */
/*              the AmigaGuide display is opened on the Term       */
/*              screen.                                            */
/*                                                                 */
/* Pre-requisites: 1) ARexx must be active                         */
/*                 2) Term must be active                          */
/*                 3) "Aminet2Guide" program is in the C:          */
/*                    directory                                    */
/*                 4) "AmigaGuide" program is in the SYS:Utilities */
/*                    directory                                    */
/*                                                                 */
/* WARNING: This script should ONLY be run from OUTSIDE the Term   */
/*          program (i.e., from the CLI/Shell).  For some unknown  */
/*          reason, running this from within Term causes the Term  */
/*          screen to go blank!                                    */
/*                                                                 */
/* Version Information                                             */
/* -------------------                                             */
/* Version 1.1 - The script will now automatically save the        */
/*               current Term buffer to "RAM:Aminet", eliminating  */
/*               the need for the user to do a manual file save    */
/*                                                                 */
/* Version 1.0 - Initial release                                   */
/*                                                                 */
/*******************************************************************/


OPTIONS RESULTS


ADDRESS command

/* Delete any old Aminet output from a previous run */

'C:Delete >NIL: RAM:Aminet'
'C:Delete >NIL: RAM:Aminet.guide'


ADDRESS term

/* Save current Term buffer to "RAM:Aminet" */

SAVEAS NAME 'RAM:Aminet' from Buffer


ADDRESS command

/* Convert "RAM:Aminet" output to AmigaGuide format */

'C:Aminet2Guide RAM:Aminet RAM:Aminet.guide'

/* Wait until output AmigaGuide file has been created */

loop:
'C:List >NIL: RAM:Aminet.guide'

if RC ~= 0 THEN SIGNAL loop

/* Invoke AmigaGuide on the output AmigaGuide file */

/* Have AmigaGuide window open on the TERM public screen */

'Run SYS:Utilities/AmigaGuide PUBSCREEN TERM RAM:Aminet.guide'

/* End of script */

EXIT
